OpenVDB: AttributeRegistry::AccessData Struct Reference

OpenVDB 10.1.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AttributeRegistry::AccessData Struct Reference

Registered access details, including its name, type and whether a write handle is required. More...

`#include <openvdb_ax/compiler/AttributeRegistry.h>`

## Public Member Functions
| AccessData (const Name &name, const ast::tokens::CoreType type, const bool readsFrom, const bool writesTo)
| Storage for access name, type and writesTo details.
bool | reads () const
bool | writes () const
const std::string | tokenname () const
const std::string & | name () const
ast::tokens::CoreType | type () const
const std::vector< const AccessData * > & | deps () const
const std::vector< const AccessData * > & | uses () const
bool | dependson (const AccessData *data) const
bool | affectsothers () const

## Detailed Description

Registered access details, including its name, type and whether a write handle is required.

## Constructor & Destructor Documentation

## ◆ AccessData()

AccessData | ( | const Name & | name,
|  | const ast::tokens::CoreType | type,
|  | const bool | readsFrom,
|  | const bool | writesTo
| ) |  |
| inline

Storage for access name, type and writesTo details.

Parameters

  name | The name of the access
  type | The typename of the access
  readsFrom | Whether the access is read from
  writesTo | Whether the access is written to

## Member Function Documentation

## ◆ affectsothers()

bool affectsothers | ( |  | ) | const
| inline

## ◆ dependson()

bool dependson | ( | const AccessData * | data | ) | const
| inline

## ◆ deps()

const std::vector< const AccessData * > & deps | ( |  | ) | const
| inline

## ◆ name()

const std::string & name | ( |  | ) | const
| inline

## ◆ reads()

bool reads | ( |  | ) | const
| inline

## ◆ tokenname()

const std::string tokenname | ( |  | ) | const
| inline

## ◆ type()

ast::tokens::CoreType type | ( |  | ) | const
| inline

## ◆ uses()

const std::vector< const AccessData * > & uses | ( |  | ) | const
| inline

## ◆ writes()

bool writes | ( |  | ) | const
| inline